# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nimbuspulse-client"
version = "0.3.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "NimbusPulse API client"
homepage = "https://nimbuspulse.com"
readme = "README.md"
keywords = [
    "dcs",
    "dcs-world",
    "nimbuspulse",
    "sdk",
    "api",
]
license = "MIT"
repository = "https://github.com/NimbusPulse/sdk"

[lib]
name = "nimbuspulse_client"
path = "src/lib.rs"

[[bin]]
name = "main"
path = "src/bin/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.reqwest]
version = "0.13"
features = [
    "json",
    "multipart",
    "stream",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.uuid]
version = "1.22"
features = [
    "v7",
    "serde",
]

[target."cfg(not(test))".dependencies.tokio]
version = "1.50"
features = ["full"]
